stan::VectorView< T, true, false > Class Template Reference

`#include <VectorView.hpp>`

## Public Types

typedef boost::conditional< boost::is_const< T >::value, typename boost::add_const< typename scalar_type< T >::type >::type, typename scalar_type< T >::type >::type | scalar_t

## Public Member Functions

| VectorView (scalar_t *x)
scalar_t & | operator[] (int i)
scalar_t & | operator[] (int i) const

## Detailed Description

### template<typename T>
class stan::VectorView< T, true, false >

Definition at line 122 of file VectorView.hpp.

## Member Typedef Documentation

## scalar_t

template<typename T >

typedef boost::conditional<boost::is_const<T>::value, typename boost::add_const< typename scalar_type<T>::type>::type, typename scalar_type<T>::type>::type stan::VectorView< T, true, false >::scalar_t

Definition at line 128 of file VectorView.hpp.

## Constructor & Destructor Documentation

## VectorView()

template<typename T >

stan::VectorView< T, true, false >::VectorView | ( | scalar_t * | x | ) |

inlineexplicit

Definition at line 130 of file VectorView.hpp.

## Member Function Documentation

## operator[]() [1/2]

template<typename T >

scalar_t& stan::VectorView< T, true, false >::operator[] | ( | int | i | ) |

inline

Definition at line 132 of file VectorView.hpp.

## operator[]() [2/2]

template<typename T >

scalar_t& stan::VectorView< T, true, false >::operator[] | ( | int | i | ) | const

inline

Definition at line 136 of file VectorView.hpp.

The documentation for this class was generated from the following file:

- stan/math/prim/scal/meta/VectorView.hpp

[ Stan Home Page ] © 2011–2016, Stan Development Team.